## python-biomaj3 3.0.20

=== requirements.txt ===
mock
nose
pymongo==3.2
pycurl
tabulate
ldap3==1.4.0
py-bcrypt
drmaa
future
elasticsearch

=== docs/requirements.txt ===
mock
nose
pymongo==3.2
tabulate
ldap3
py-bcrypt
drmaa
future
elasticsearch

=== debian/changelog ===
python-biomaj3 (3.0.20-1) unstable; urgency=medium

  * New package (Closes: # 851366).
    This is a rewrite of biomaj software/package. Biomaj v1 is not maintained
    anymore and biomaj3  should be used instead. 

 -- Olivier Sallou <osallou@debian.org>  Sat, 14 Jan 2017 09:30:04 +0000

=== debian/control ===
Source: python-biomaj3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-all-dev,
               python-setuptools,
               python-mock,
               python-nose,
               python-pymongo,
               python-tabulate,
               python-ldap3,
               python-bcrypt,
               python-future,
               python-elasticsearch,
               python-pycurl,
               python-drmaa,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               python3-mock,
               python3-nose,
               python3-pymongo,
               python3-tabulate,
               python3-ldap3,
               python3-bcrypt,
               python3-future,
               python3-elasticsearch,
               python3-pycurl,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-biomaj3.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-biomaj3.git
Homepage: https://github.com/genouest/biomaj
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-biomaj3
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         biomaj3-commons
Suggests: mongodb-server, biomaj3-doc
Description: biological data-bank updater (Python 2)
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ is a rewrite of BioMAJ, using Mongodb as backend. See wiki for migration.
 .
 This package contains the Python 2 module.

Package: python3-biomaj3
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         biomaj3-commons
Suggests: mongodb-server, biomaj3-doc
Description: biological data-bank updater (Python 3)
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ is a rewrite of BioMAJ, using Mongodb as backend. See wiki for migration.
 .
 This package contains the Python 3 module.

Package: biomaj3-commons
Architecture: all
Depends: ${misc:Depends}
Description: biological data-bank updater
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ is a rewrite of BioMAJ, using Mongodb as backend. See wiki for migration.
 .
 This package contains the configuration files and directory structure (logs, ..)
 to run BioMAJ.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
# Fails to build when set to +all
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYBUILD_NAME=biomaj3
# Skip tests as they need mongodb instance running
override_dh_auto_test:
	echo "Skipping tests, they require a running mongodb instance"

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_install:
	dh_install
	cp debian/global.properties debian/biomaj3-commons/etc/biomaj3/global.properties
	mv debian/python3-biomaj3/usr/bin/biomaj-cli.py debian/python3-biomaj3/usr/bin/python3-biomaj-cli
	mv debian/python-biomaj3/usr/bin/biomaj-cli.py debian/python-biomaj3/usr/bin/python-biomaj-cli

# help2man fails because python needs to be interpreted
#override_dh_installman:
#	help2man --no-discard-stderr --version-string="$(DEB_VERSION_UPSTREAM)" -o biomaj-cli3.1 bin/biomaj-cli.py
#	help2man --no-discard-stderr --version-string="$(DEB_VERSION_UPSTREAM)" -o biomaj-cli.1 bin/biomaj-cli.py
#	dh_installman
